Loading...
Searching...
No Matches
juce::OSCAddress Class Reference

## Detailed Description

An OSC address.

This address always starts with a forward slash and has a format similar to an URL, with several address parts separated by slashes.

Only a subset of ASCII characters are allowed in OSC addresses; see OpenSoundControl 1.0 specification for details.

OSC addresses can be used to register ListenerWithOSCAddress objects to an OSCReceiver if you wish them to only listen to certain messages with matching OSC address patterns.

See also
  OSCReceiver, OSCAddressPattern, OSCMessage

The documentation for this class was generated from the following file:

- juce_osc/osc/juce_OSCAddress.h

## Public Member Functions

| OSCAddress (const String &address)
| Constructs a new OSCAddress from a String.
| OSCAddress (const char *address)
| Constructs a new OSCAddress from a C string.
bool | operator== (const OSCAddress &other) const noexcept
| Compares two OSCAddress objects.
bool | operator!= (const OSCAddress &other) const noexcept
| Compares two OSCAddress objects.
String | toString () const noexcept
| Converts the OSCAddress to a String.

## Constructors and Destructors

## OSCAddress() [1/2]

juce::OSCAddress::OSCAddress | ( | const String & | address | ) |

Constructs a new OSCAddress from a String.

Exceptions

  OSCFormatError | if the string is not a valid OSC address.

Referenced by operator!=(), and operator==().

## OSCAddress() [2/2]

juce::OSCAddress::OSCAddress | ( | const char * | address | ) |

Constructs a new OSCAddress from a C string.

Exceptions

  OSCFormatError | of the string is not a valid OSC address.

## Member Functions

## operator==()

bool juce::OSCAddress::operator== | ( | const OSCAddress & | other | ) | const

noexcept

Compares two OSCAddress objects.

Returns
  true if they contain the same address, false otherwise.

References OSCAddress().

## operator!=()

bool juce::OSCAddress::operator!= | ( | const OSCAddress & | other | ) | const

noexcept

Compares two OSCAddress objects.

Returns
  false if they contain the same address, true otherwise.

References OSCAddress().

## toString()

String juce::OSCAddress::toString | ( |  | ) | const

noexcept

Converts the OSCAddress to a String.

Note: Trailing slashes are always removed automatically.

Returns
  a String object that represents the OSC address.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited